SLNParse.h File Reference
`#include <RDGeneral/export.h>`
`#include <string>`
`#include <exception>`

Go to the source code of this file.

## Classes

class | RDKit::SLNParseException

## Namespaces

| RDKit
| Std stuff.
| RDKit::SLNParse

## Functions

RDKIT_SLNPARSE_EXPORT void | RDKit::SLNParse::finalizeQueryMol (ROMol *mol, bool mergeHs)
void | RDKit::SLNParse::CleanupAfterParse (RWMol *mol)
RDKIT_SLNPARSE_EXPORT RWMol * | RDKit::SLNToMol (const std::string &smi, bool sanitize=true, int debugParse=0)
RDKIT_SLNPARSE_EXPORT RWMol * | RDKit::SLNQueryToMol (const std::string &smi, bool mergeHs=true, int debugParse=0)